Name:           perl-Email-Received
Summary:        Parse an email Received: header
Version:        1.00
Release:        2%{?dist}
License:        GPL+ or Artistic
URL:            http://search.cpan.org/dist/Email-Received/
Source0:        http://www.cpan.org/authors/id/S/SI/SIMON/Email-Received-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  perl(base)
BuildRequires:  perl(constant)
BuildRequires:  perl(Email::Simple)
BuildRequires:  perl(Exporter)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Regexp::Common)
BuildRequires:  perl(Test)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Text::Balanced)

Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

%description
This module is a Perl Email Project rewrite of SpamAssassin's email header
parser. We did this so that the great work they did in analyzing pretty
much every possible Received header format could be used in applications
other than SpamAssassin itself.


%prep
%setup -q -n Email-Received-%{version}


%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}


%install
make pure_install DESTDIR=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
%{_fixperms} %{buildroot}/*


%check
make test


%files
%doc Changes README
%{_mandir}/man3/Email::Received.3pm*
%{perl_vendorlib}/Email


%changelog
* Thu Jan 24 2013 Mathieu Bridon <bochecha@fedoraproject.org> - 1.00-2
- Add missing build requirements.
- Replace usage of the %%{__perl} macro by the plain perl command.
- Use DESTDIR instead of PERL_INSTALL_ROOT in the install section.
- Use en_US spelling for 'analyzing'.

* Fri Jan 18 2013 Mathieu Bridon <bochecha@fedoraproject.org> - 1.00-1
- Initial package for Fedora, with help from cpanspec.
